Bug 215379 - udev eats 100% of cpu when adding 32+ ttys.
udev eats 100% of cpu when adding 32+ ttys.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: hal (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
:
: 215378 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 13:54 EST by Scott Kilau
Modified: 2012-06-20 12:56 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:56:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Kilau 2006-11-13 13:54:21 EST
Description of problem:
udev eats 100% of cpu for 5+ minutes when adding 32+ ttys using 
tty_register_device().

Version-Release number of selected component (if applicable):

Latest "up2date" for everything on ES 4.


How reproducible:

Every time.

Steps to Reproduce:
1. Add a driver to system that registers 32 ttys using the tty_register_device
() call in kernel.

2. With or without a "rule" for those devices in /etc/udev/rules.d, it doesn't 
matter.

  
Actual results:

System will literally be bogged down for 5-10 minutes, system hasn't panic'ed, 
but is horribly unresponsive for those 5-10 minutes.

An "uptime" will report load averages past 100!!!
A "ps -ef" (when it eventually responses) shows 100's and 100's of:

/bin/sh /sbin/hotplug tty
/etc/hotplug.d/default/20-hal.hotplug tty


Expected results:

Very minimal cpu usage.

The most important thing here is that under Fedora Core 4, 5 and 6,
this isn't a problem at all!

It works absolutely perfect uder FC 4, 5 and 6!




Additional info:

The udev version that appears to be in use on RH Enterprise 4 is "039".

This is *very* *very* old compared to FC 4, 5 or 6.
udev is currently up to "100" or so now!

I am guessing that something in "udev" has changed in newer versionf of udev 
that makes things work a lot crisper.

Why is udev not being kept up on RH 4?
Comment 1 Harald Hoyer 2006-11-14 08:36:44 EST
*** Bug 215378 has been marked as a duplicate of this bug. ***
Comment 2 Jiri Pallich 2012-06-20 12:56:50 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.